;==============================================================================
; License
;==============================================================================
#CS
    Angry Donkey - A simple console tool for misc computer automation tasks
    Copyright (C) 2005 Eric Carmichael

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Insolence_9@yahoo.com
	3305 Lodgepole RD
	Coeur D Alene, ID 83815
#CE

;==============================================================================
; Chat
;==============================================================================
#include <Functions/Chat.au3>
	DefineFunc("NewServer", 1, 2, _ 
									'NewServer String "Server Name"[, String "Password"]', _ 
									"Starts a server.")
	DefineFunc("Connect", 3, 4, _ 
									'Connect String "Username", String "Password", String "Server Name"[, String "Server Password]"', _ 
									"Connects to a server, note you must login after this.")
	DefineFunc("Register", 2, 2, _ 
									'Register String "Username", String "Password"', _ 
									"Registers you to chat.")
	DefineFunc("listservers", 0, 0, _ 
									'Listservers', _ 
									"Lists the server's and how many people are currently connected.")
								
;==============================================================================
; Windows 
;==============================================================================
#include <Functions/Windows.au3>
	DefineFunc("SetTitle", 2, 2, _ 
								'SetTitle String "WinTitle", String "NewWinTitle"', _ 
								"Changes the title of the matching window.")
	DefineFunc("Hide", 1, 1, _ 
								'Hide String "WinTitle"', _ 
								"Hides the given window." )
	DefineFunc("Show", 1, 1, _ 
								'Show String "WinTitle"', _ 
								"Shows the given window." )
	DefineFunc("Trans", 1, 1, _ 
								'Trans Int Alpha', _ 
								"Changes the transparency of the current window (0-255)" )	
	DefineFunc("Transparency", 1, 1, _ 
								'Transparency Int Alpha', _ 
								"Changes the transparency of the current window (0-255)" )
	
;==============================================================================
; Misc 
;==============================================================================
#include <Functions/Misc.au3>
	DefineFunc("Say", 1, 1, _ 
								'Say String "Dialogue"', _ 
								"Uses windows Text To Speech to say the given string.")
	DefineFunc("MSW", 1, 1, _ 
								'MSW String "Entity"', _ 
								"Returns an entity name changed by Oracle standards." )

;==============================================================================
; Angry Donkey 
;==============================================================================
#include <Functions/Donkey.au3>
	DefineFunc("Quit", 0, 0, _ 
								'None', _ 
								'Quits Angry Donkey.')
	DefineFunc("Help", 0, 1, _ 
								'Help [String FunctionName]', _ 
								"Displays a list of usable functions OR specific information on a function." )		
	DefineFunc("License", 0, 1, _ 
								'License', _ 
								"Displays more Licensing information" )					
	
;==============================================================================
; Functions
;==============================================================================
Func DefineFunc ( $Name, $RequiredParameters = 0, $MaxParameters = 0, $Usage = "", $Function = "" )
	; The variables must be globally declared beforehand
	$intFunctions = $intFunctions + 1
	ReDim $arFunction[$intFunctions]
	ReDim $arFunctionAttribute[$intFunctions][4]
	
	; Adding function definition
	$arFunction[$intFunctions - 1] 				= $Name
	$arFunctionAttribute[$intFunctions - 1][0] 	= $RequiredParameters
	$arFunctionAttribute[$intFunctions - 1][1] 	= $MaxParameters
	$arFunctionAttribute[$intFunctions - 1][2] 	= $Usage
	$arFunctionAttribute[$intFunctions - 1][3] 	= $Function
EndFunc

Func ConsoleHandler ( $Function = "Enter")
	Call ( $Function )
EndFunc