;==============================================================================
; License
;==============================================================================
#CS
    Angry Donkey - A simple console tool for misc computer automation tasks
    Copyright (C) 2005 Eric Carmichael

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Insolence_9@yahoo.com
	3305 Lodgepole RD
	Coeur D Alene, ID 83815
#CE

Func MSW()
	Local $i, $word, $words, $WordTemp, $Line, $Syllables, $Character, $Return, $SecondSyllable, $LastCharacterLastWord, _
			$LastSyllable, $SecondSyllable
	
	; Checking input
	If StringIsInt($arParameter[0]) = 1 Then Return "ERROR: Badly formatted parameters."
	
	; Getting it on ;)
	Output ( "Processing...", 1)
	
	$word = $arParameter[0]
	
	$words = StringSplit($word, " ")
	
	$word = ""
	
	For $i = 1 To $words[0]
		InetGet("http://dictionary.reference.com/search?q=" & $words[$i], @TempDir & "\tempword" & $i & ".html", 1)
		
		$file = FileOpen(@TempDir & "\tempword" & $i & ".html", 0)
		
		; Check if file opened for reading OK
		If $file = -1 Then
			MsgBox(0, "Error", "Unable to open file.")
			Exit
		EndIf
		; Read in lines of text until the EOF is reached
		While 1
			$Line = FileReadLine($file)
			If @error = -1 Then ExitLoop
			
			If StringInStr($Line, "<!-- begin ahd4 -->") = 1 Then
				$WordTemp = StringMid($Line, StringInStr($Line, "<b>") + 3, StringInStr($Line, "</b>") - 3 - StringInStr($Line, "<b>"))
				$WordTemp = StringReplace($WordTemp, "&#183;", "-")
				$word = $word & " " & $WordTemp
				ExitLoop
			EndIf
		WEnd
		
		FileClose($file)
		
		FileDelete(@TempDir & "\tempword" & $i & ".html")
	Next
	
	If $word = "" Then Return "Word not found on dictionary.com."
	
	$words = StringStripWS($word, 1)
	$words = StringStripWS($words, 2)
	
	$Syllables = StringSplit($words, "-")
	$Character = StringSplit($words, "")
	$words = StringSplit($words, " ")
	
	Select
		Case $words[0] = 1 And $Syllables[0] = 1
			; First second and last characters in upper case
			$Return = StringUpper($Character[1] & $Character[2] & $Character[$Character[0]])
			
		Case $words[0] = 1 And $Syllables[0] > 1
			$SecondSyllable = StringSplit($Syllables[2], "")
			$LastSyllable = StringSplit($Syllables[$Syllables[0]], "")
			
			$Return = StringUpper($Character[1] & $SecondSyllable[1] & $LastSyllable[$LastSyllable[0]])
			
		Case $words[0] > 1
			$SecondWordFirstSyllable = StringSplit($words[2], "")
			$LastCharacterLastWord = StringSplit($words[$words[0]], "")
			
			$Return = StringUpper($Character[1] & $SecondWordFirstSyllable[1] & $LastCharacterLastWord[$LastCharacterLastWord[0]])
	EndSelect
	
	Return $Return
EndFunc   ;==>MSW 

;Name: 			_Talk 1.0 ( changed to Say by Eric Carmichael )
;Author: 		El-Trucha <eltrucha14@gmail.com>
;Date|Time: 	2/25/05 | 10:44 PM
;Dev Tool: 		AutoIt v3.1.0
;Requirements: 	WSH 5.6 ENABLED!!
;Description: 	This function speaks whatever string you specify in $sText
Func Say()
	Local $sText = $arParameter[0], $TempFile
	
    $TempFile = @TempDir & '\talktemp.vbs'
    FileWriteLine($TempFile, _
							'Dim Talk' & _
							@CRLF & 'Set Talk = WScript.CreateObject("SAPI.SpVoice")' & _
							@CRLF & 'Talk.Speak "' & $sText & '"')
	
    RunWait('Wscript.exe talktemp.vbs', @TempDir)
	
    FileDelete($TempFile)
	
	Return "Said & done."
EndFunc   ;==>Say